Summary:	Userspace bootsplash utility
Summary(de.UTF-8):	Eine Boosplashes Utility die auf der Benutzerebene arbeitet
Summary(pl.UTF-8):	Narzędzie do bootsplasha w przestrzeni użytkownika
Name:		usplash
Version:	0.5.19
Release:	8
License:	GPL
Group:		Applications
Source0:	http://ftp.debian.org/debian/pool/main/u/usplash/%{name}_%{version}.orig.tar.gz
# Source0-md5:	ede767c140267db65b956d04276d4a23
Patch0:		%{name}-includes.patch
Patch1:		format-security.patch
URL:		https://wiki.ubuntu.com/USplash
BuildRequires:	dpkg
BuildRequires:	gd-devel >= 2.0.0
BuildRequires:	libpng-devel
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Usplash is a userspace application that uses the Linux framebuffer
interface to draw a splash screen at boot. It has a companion utility
that is able to send commands to usplash, allowing information about
the bootup sequence to be displayed in a more attractive way.

%description -l de.UTF-8
Usplash ist ein Programm dass auf der Benutzerebene arbeit und den
Linux Framepuffer benutzt um ein Bild beim Booten zu zeichnen. Es hat
ein Begleitprogramm dass Befehle an Usplash sendet, die dazu dienen
die Bootvorgang Informationen atraktiver zu gestalten.

%description -l pl.UTF-8
Usplash to aplikacja działająca w przestrzeni użytkownika
wykorzystująca linuksowy interfejs framebuffera do rysowania ekranu
startowego (splash screen) podczas startu systemu. Zawiera
towarzyszące narzędzie do wysyłania poleceń do usplasha, pozwalające
wyświetlać informacje o sekwencji startowej w bardziej atrakcyjny
sposób.

%package devel
Summary:	Usplash header files
Summary(de.UTF-8):	Usplash header Dateien
Summary(pl.UTF-8):	Pliki nagłówkowe usplasha
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Usplash header files.

%description devel -l de.UTF-8
Usplash header Dateien.

%description devel -l pl.UTF-8
Pliki nagłówkowe usplasha.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1

%build
%{__make} -C bogl \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	LDFLAGS="%{rpmldflags}"

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_prefix}/%{_sbindir}/*
%attr(755,root,root) /lib/libusplash.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) /lib/libusplash.so
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/usplash.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b78ce85
- release 8 (by relup.sh)

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> b8a4d25
- fix format string errors
- rel 7

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 69bcd82
- release 6 (by relup.sh)

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> c6d7f80
- release 5 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f34a6e6
- release 4

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c754f96
- release 3

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> c82095e
- BR: dpkg

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a6c968a
- release 2

* Wed Aug 27 2008 Robert Tomasik <rotom@pld-linux.org> 78e3cbc
- up to 0.5.19

* Thu Aug 23 2007 shadzik <shadzik@pld-linux.org> 3b7e49b
- R: /sbin/ldconfig

* Thu Aug 23 2007 shadzik <shadzik@pld-linux.org> 28ae3ae
- package .so link in -devel subpackage
- rel 4

* Thu Aug 23 2007 shadzik <shadzik@pld-linux.org> 0c1f9f1
- add post and postun
- rel 3

* Thu Aug 23 2007 shadzik <shadzik@pld-linux.org> 13b87a3
- -devel  subpackage
- rel 2

* Thu Aug 23 2007 shadzik <shadzik@pld-linux.org> 9596843
- proper usplash-theme.h includes

* Thu Aug 23 2007 shadzik <shadzik@pld-linux.org> bfc77c0
- 0.5.2
- rel 1

* Thu Aug 23 2007 shadzik <shadzik@pld-linux.org> 0aae2f6
- fix build on current th
- pass LDFLAGS

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 567f0fb
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9661f02
- converted to UTF-8

* Sun Nov 19 2006 shadzik <shadzik@pld-linux.org> 42d3273
- 0.3e
- Source0 from debian ftp

* Fri May 19 2006 shadzik <shadzik@pld-linux.org> 27be4fc
- de

